/*Reset*/
* {box-sizing: border-box; padding: 0; margin: 0;}

/*Elementos Básicos*/
html {font-family: 'Raleway', sans-serif;}
body {background-color: #efefef;}
header, footer {background-color: #afafaf; padding: 30px 0 0;}
nav {display: flex; flex-direction: column;}
nav ul {list-style-type: none;}
nav a {
  display: block;
  text-decoration: none;
  color: white;
  font-weight: bold;
  font-size: 1.3rem;
}
ul li {
  padding: 10px;  
}
ul li:hover {
  text-decoration: underline;
  background-color: #444;
}
/*Grid*/
.grid-header {
  grid-area: header;
}
.grid-main {
  grid-area: main;
  background-color: #666;
  display: grid;
  grid-template-columns: auto auto
}
.grid-sidebar {
  grid-area: sidebar;
  background-color: lightslategray;
}
.grid-footer {
  grid-area: footer;
  padding: 30px 0;
}
.grid-container {
  display: grid;
  grid-template-columns: repeat (1, 1fr);
  grid-template-areas: 'header' 'main' 'sidebar' 'footer';
  grid-gap: 10px;
  width: 100%;
  max-width: 1000px;
  margin: auto;
  padding: 10px;
}
.item {
  grid-column: span 2;
  background-color: #222;
  padding: 10px;
  margin: 10px;
}
.item img {
  width: 100%;
}
/*Classes*/
.flex-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid red;
}
.full {
  background-color: goldenrod;
  padding: 20px;
}

.nav-container {
  position: absolute;
  right: 0;
  top: 110px;
  width: 100%;
  text-align: center;
  padding: 10px 0;
  background-color: black;
}
.nav-container li {height: 70px;}

/*Unhide Nav Button*/

#toggle {
  display: none;
}
#toggle:checked + .nav-container {
  display: flex;
  flex-direction: column;
}

.nav-container {
  display: none;
}
/*#show-menu:checked~.nav-container {
  display: block;
}*/
/*Desktop Responsive*/
@media only screen and (min-width: 768px) {
  nav ul li {display: inline-block;}
  nav a {font-size: 0.9rem;}
  /*Hide Nav Button*/
  label {display: none;}
  .nav-container {
    display: block;
    background-color: #222;
    position: initial;
  }
  .grid-container {
    grid-template-columns: repeat (12, 1fr);
    grid-template-areas: 'header header header' 'main main sidebar' 'footer footer footer';
  }
  .grid-main {
    grid-area: main;
    background-color: #666;
    display: grid;
    grid-template-columns: auto auto auto auto
  }
}